<?php
/*---------------------------------------------------++----------------------------------------------------+
| PHP-Fusion 6 Content Management System             || member_stats_panel infusion v0.2 for PHP-Fusion 6  |
+----------------------------------------------------++----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones                 || Copyright  2005 Daniel Rindorf (colgate)          |
| http://www.php-fusion.co.uk/                       || email:   colgate@amforaen.dk                       |
+----------------------------------------------------++----------------------------------------------------+
| Released under the terms & conditions of v2 of the || Released under the terms & conditions of v2 of the |
| GNU General Public License. For details refer to   || GNU General Public License. For details refer to   |
| the included gpl.txt file or visit http://gnu.org  || the included gpl.txt file or visit http://gnu.org  |
+----------------------------------------------------++----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."member_stats_panel/locale/".$settings['locale'].".php")) {
    // Load the locale file matching the current site locale setting.
    include INFUSIONS."member_stats_panel/locale/".$settings['locale'].".php";
} else {
    // Load the infusion's default locale file.
    include INFUSIONS."member_stats_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['DAC100'];
$inf_description = $locale['DAC101'];
$inf_version = "0.2";
$inf_developer = "colgate";
$inf_email = "colgate@amforaen.dk";
$inf_weburl = "";

$inf_folder = "member_stats_panel"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = ""; // The admin panel filename if required.

$inf_link_name = ""; // if not required replace $locale['xxx102']; with "";
$inf_link_url = ""; // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 2; // Number of new db tables to create or drop.
$inf_insertdbrows = 0; // Numbers rows added into created db tables.
$inf_altertables = 1; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "dac_count (
user_id SMALLINT(5) UNSIGNED NOT NULL,
article_count TINYINT(5) UNSIGNED DEFAULT '0' NOT NULL,
download_count TINYINT(5) UNSIGNED DEFAULT '0' NOT NULL,
weblink_count TINYINT(5) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (user_id)
) TYPE=MyISAM;";

$inf_newtable_[2] = "dac_stats (
user_id SMALLINT(5) UNSIGNED NOT NULL,
article_id TINYINT(5) UNSIGNED DEFAULT '0' NOT NULL,
download_id TINYINT(5) UNSIGNED DEFAULT '0' NOT NULL,
weblink_id TINYINT(5) UNSIGNED DEFAULT '0' NOT NULL,
count TINYINT(5) UNSIGNED DEFAULT '0' NOT NULL,
time INT(14) UNSIGNED DEFAULT '0' NOT NULL,
PRIMARY KEY (user_id, download_id, article_id, weblink_id)
) TYPE=MyISAM;";

$inf_insertdbrow_[1] = "table_name VALUES('', '', '', '')";

$inf_droptable_[1] = "dac_count";
$inf_droptable_[2] = "dac_stats";

$inf_altertable_[1] = "dac_count ADD weblink_count TINYINT(5) UNSIGNED DEFAULT '0' NOT NULL";

$inf_deldbrow_[1] = "other_table";

?>